List invoices
GET
/partners/invoicesReturns a paginated list of invoices, estimates, or credit memos.
HMAC signature + Bearer access token
Try this requestQuery parameters
pageintegeroptionalPage number for pagination. The first page is 1.
limitintegeroptionalRecords to return per page.
invoiceTypeenumoptionalFilter by document type.
One of: invoice, estimate, memo
statusstringoptionalComma-separated lifecycle statuses (e.g. draft,approved,sent).
paymentStatusstringoptionalComma-separated payment statuses.
approvalStatusenumoptionalFilter by approval state.
One of: draft, approved
startDatedateoptionalFilter on invoice date (ISO).
endDatedateoptionalFilter on invoice date (ISO).
startDueDatedateoptionalFilter on due date (ISO).
endDueDatedateoptionalFilter on due date (ISO).
isDraftbooleanoptionalExplicit draft filter.
searchstringoptionalFree-text search.
Responses
200Paginated list of invoices.401Unauthorized — authentication failed. TroubleshootGET
https://api.getcount.com/partners/invoicesRequest
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'GET';
const signingPath = '/invoices';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';
const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/invoices`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
});
console.log(await response.json());Response · 200
{
"status": "success",
"message": "Success on fetching invoices.",
"results": 1,
"totalRecords": 1,
"page": 1,
"limit": 50,
"data": {
"invoices": [
{
"id": "f6a7b8c9-d0e1-2345-fabc-456789012345",
"invoiceNumber": "INV-1042",
"invoiceType": "invoice",
"customerUuid": "dfa3219e-6af8-4c53-997a-037534f63a35",
"date": "2026-03-01",
"dueDate": "2026-03-31",
"currency": "USD",
"status": "sent",
"isDraft": false,
"approved": true,
"isSent": true,
"paymentStatus": "unpaid",
"subtotal": 1000,
"taxTotal": 85,
"total": 1085,
"amountDue": 1085,
"products": [
{
"productUuid": "aa11bb22-cc33-dd44-ee55-ff6677889900",
"description": "Consulting services",
"quantity": 10,
"unitPrice": 100,
"nonTaxable": false
}
],
"createdAt": "2026-03-01T09:00:00.000Z",
"updatedAt": "2026-03-02T11:15:00.000Z"
}
]
}
}